# Policies

## List

> Retrieve client policy/ies.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientPolicies":{"get":{"tags":["4-Policies//0-Basic Operations"],"summary":"List","description":"Retrieve client policy/ies.","operationId":"ffd1559e-b012-471a-bf3f-0264c153deb1","parameters":[{"name":"name","in":"query","description":"Client policy name (optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientRules"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ClientRules":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"name":{"type":"string","description":"<para type=\"description\">Name of the client policy.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the client policy is enabled or disabled.</para>"},"description":{"type":"string","description":"<para type=\"description\">Description of the client policy.</para>","nullable":true},"order":{"type":"integer","description":"<para type=\"description\">Order of the client policy.</para>","format":"int32"},"clientPolicy":{"$ref":"#/components/schemas/ClientPolicy"},"version":{"type":"integer","description":"<para type=\"description\">Version.</para>","format":"int32"},"assignment":{"$ref":"#/components/schemas/ClientPolicyAssignment"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Rules</para>\r\n<para type=\"description\"></para>"},"ClientPolicy":{"type":"object","properties":{"redirection":{"$ref":"#/components/schemas/Redirection"},"session":{"$ref":"#/components/schemas/SessionPolicy"},"clientOptions":{"$ref":"#/components/schemas/ClientOptions"},"controlSettings":{"$ref":"#/components/schemas/ControlSettings"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Policy</para>\r\n<para type=\"description\"></para>"},"Redirection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Redirection policy is enabled or not</para>"},"gateway":{"type":"string","description":"<para type=\"description\">The gateway address</para>","nullable":true},"mode":{"$ref":"#/components/schemas/ConnectionMode"},"serverPort":{"type":"integer","description":"<para type=\"description\">The server port</para>","format":"int32"},"altGateway":{"type":"string","description":"<para type=\"description\">The alternative gateway address</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Redirection Policy</para>\r\n<para type=\"description\"></para>"},"ConnectionMode":{"enum":[["0 = GatewayMode","1 = GatewaySSLMode","2 = DirectMode","3 = DirectSSLMode"]],"type":"string","description":"<para type=\"synopsis\">Connection Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"SessionPolicy":{"type":"object","properties":{"primaryConnection":{"$ref":"#/components/schemas/PrimaryConnection"},"secondaryConnections":{"$ref":"#/components/schemas/SecondaryConnections"},"reconnection":{"$ref":"#/components/schemas/Reconnection"},"computerName":{"$ref":"#/components/schemas/ComputerName"},"connectionAdvancedSettings":{"$ref":"#/components/schemas/ConnectionAdvancedSettings"},"webAuthentication":{"$ref":"#/components/schemas/WebAuthentication"},"multiFactorAuthentication":{"$ref":"#/components/schemas/MultiFactorAuthentication"},"sessionPreLaunch":{"$ref":"#/components/schemas/SessionPrelaunch"},"localProxyAddress":{"$ref":"#/components/schemas/LocalProxyAddress"},"settings":{"$ref":"#/components/schemas/Settings"},"multiMonitor":{"$ref":"#/components/schemas/MultiMonitor"},"publishedApplications":{"$ref":"#/components/schemas/PublishedApplications"},"desktopOptions":{"$ref":"#/components/schemas/DesktopOptions"},"browser":{"$ref":"#/components/schemas/Browser"},"printing":{"$ref":"#/components/schemas/SessionsPrinting"},"scanning":{"$ref":"#/components/schemas/Scanning"},"audio":{"$ref":"#/components/schemas/Audio"},"keyboard":{"$ref":"#/components/schemas/Keyboard"},"clipboard":{"$ref":"#/components/schemas/Clipboard"},"diskDrives":{"$ref":"#/components/schemas/DiskDrives"},"devices":{"$ref":"#/components/schemas/Devices"},"ports":{"$ref":"#/components/schemas/Ports"},"smartCards":{"$ref":"#/components/schemas/SmartCards"},"windowsTouchInput":{"$ref":"#/components/schemas/WindowsTouchInput"},"videoCaptureDevices":{"$ref":"#/components/schemas/VideoCaptureDevices"},"avdMultimediaRedirection":{"$ref":"#/components/schemas/AVDMultimediaRedirection"},"fileTransfer":{"$ref":"#/components/schemas/FileTransfer"},"performance":{"$ref":"#/components/schemas/Performance"},"compression":{"$ref":"#/components/schemas/Compression"},"network":{"$ref":"#/components/schemas/Network"},"advancedSettings":{"$ref":"#/components/schemas/AdvancedSettings"},"serverAuthentication":{"$ref":"#/components/schemas/ServerAuthentication"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Session Policy</para>\r\n<para type=\"description\"></para>"},"PrimaryConnection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Primary Connection is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">The name of the connection</para>","nullable":true},"autoLogin":{"type":"boolean","description":"<para type=\"description\">Allows the user to auto login</para>"},"authenticationType":{"$ref":"#/components/schemas/AuthType"},"savePassword":{"type":"boolean","description":"<para type=\"description\">Password will be saved when user successfully logs in</para>"},"domain":{"type":"string","description":"<para type=\"description\">The name of the domain</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Primary Connection Policy</para>\r\n<para type=\"description\"></para>"},"AuthType":{"enum":[["0 = Credentials","1 = SingleSignOn","2 = SmartCard","3 = Web","4 = WebCredentials"]],"type":"string","description":"<para type=\"synopsis\">Authentication Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecondaryConnections":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Secondary Connection is enabled or not</para>"},"connectionList":{"type":"array","items":{"$ref":"#/components/schemas/SecondaryConnection"},"description":"<para type=\"descrition\">The Secondary Connection List</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Secondary Connections Policy</para>\r\n<para type=\"description\"></para>"},"SecondaryConnection":{"type":"object","properties":{"mode":{"$ref":"#/components/schemas/Mode"},"server":{"type":"string","description":"<para type=\"description\">The Server which the user is going to connect to</para>","nullable":true},"serverPort":{"type":"integer","description":"<para type=\"description\">The port of the server</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Secondary Connection Policy</para>\r\n<para type=\"description\"></para>"},"Mode":{"enum":[["0 = GatewayMode","1 = DirectMode","2 = GatewaySSLMode","3 = DirectSSLMode"]],"type":"string","description":"<para type=\"synopsis\">Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Reconnection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Reconnection is enabled or not</para>"},"enableReconnection":{"type":"boolean","description":"<para type=\"description\">When the connection drops allows for automatic reconnection</para>"},"connectionRetries":{"type":"integer","description":"<para type=\"description\">The amount of connection retries</para>","format":"int32"},"connectionBannerDelay":{"type":"integer","description":"<para type=\"description\">If connection is not established after an amount of seconds given the banner will show</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Reconnection Policy</para>\r\n<para type=\"description\"></para>"},"ComputerName":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Reconnection is enabled or not.</para>"},"overrideComputerName":{"type":"string","description":"<para type=\"description\">The computer name which can be overridden.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Computer Name Policy</para>\r\n<para type=\"description\"></para>"},"ConnectionAdvancedSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Connection Advanced Settings is enabled or not.</para>"},"connectionTimeout":{"type":"integer","description":"<para type=\"description\">The total number of seconds where the connection will timeout.</para>","format":"int32"},"connectionBannerDelay":{"type":"integer","description":"<para type=\"description\">If connection is not established after an amount of seconds given the banner shows.</para>","format":"int32"},"showDesktopTimeout":{"type":"integer","description":"<para type=\"description\">If published application does not start after several seconds a banner shows.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Connection Advanced Settings Policy</para>\r\n<para type=\"description\"></para>"},"WebAuthentication":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the web authentication is enabled or not</para>"},"defaultOsBrowser":{"type":"boolean","description":"<para type=\"description\">If the box is checked the OS will use the default browser</para>"},"openBrowserOnLogout":{"type":"boolean","description":"<para type=\"description\">Whether the browser is shown when logging out of web authentication with the internal browser</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Web Authentication Policy</para>\r\n<para type=\"description\"></para>"},"MultiFactorAuthentication":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the multi factor authentication is enabled or not.</para>"},"rememberLastUsedMethod":{"type":"boolean","description":"<para type=\"description\">Remembers the last used method.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Multi Factor Authentication Policy</para>\r\n<para type=\"description\"></para>"},"SessionPrelaunch":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Session Prelaunch is enabled or not</para>"},"preLaunchMode":{"$ref":"#/components/schemas/SessionMode"},"preLaunchExclude":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The values of the session pre launch.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Prelaunch Policy</para>\r\n<para type=\"description\"></para>"},"SessionMode":{"enum":[["0 = Off","1 = Basic","2 = MachineLearning"]],"type":"string","description":"<para type=\"synopsis\">Session Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"LocalProxyAddress":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the local proxy address is enabled or not</para>"},"useLocalHostProxyIP":{"type":"boolean","description":"<para type=\"description\">If the box is checked the 127.0.0.1 IP address is used when using Gateway mode in VPN scenarios</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Local Proxy Address Policy</para>\r\n<para type=\"description\"></para>"},"Settings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Display Settings is enabled or not.</para>"},"colorDepths":{"$ref":"#/components/schemas/SettingsColorDepth"},"graphicsAcceleration":{"$ref":"#/components/schemas/AccelerationMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Display Settings Policy</para>\r\n<para type=\"description\"></para>"},"SettingsColorDepth":{"enum":[["0 = Colors256","1 = HighColor15Bit","2 = HighColor16Bit","3 = TrueColor24Bit","4 = HighestQuality32Bit"]],"type":"string","description":"<para type=\"synopsis\">Settings Color Depth Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"AccelerationMode":{"enum":[["0 = None","1 = Basic","2 = RemoteFx","3 = RemoteFxAdaptive","4 = AVCAdaptive"]],"type":"string","description":"<para type=\"synopsis\">Acceleration Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"MultiMonitor":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Multi-Monitor policy is enabled or not.</para>"},"displayConfig":{"$ref":"#/components/schemas/DisplayConfig"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Multi-Monitor Policy</para>\r\n<para type=\"description\"></para>"},"DisplayConfig":{"enum":[["0 = Primary","1 = All","2 = Selected"]],"type":"string","description":"<para type=\"synopsis\">Display configuration Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PublishedApplications":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Published Applications policy is enabled or not.</para>"},"usePrimaryMonitor":{"type":"boolean","description":"<para type=\"description\">If set to true, will use the primary monitor only.</para>"},"useDynamicDesktopResizing":{"type":"boolean","description":"<para type=\"description\">If set to true, will use dynamic desktop resizing.</para>"},"zOrderMode":{"$ref":"#/components/schemas/ZOrderMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Published Applications Policy</para>\r\n<para type=\"description\"></para>"},"ZOrderMode":{"enum":[["0 = Disabled","4 = ImprovedHeuristic"]],"type":"string","description":"<para type=\"synopsis\">Z-Order Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"DesktopOptions":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Display Settings Options is enabled or not</para>"},"smartSizing":{"$ref":"#/components/schemas/SmartSizing"},"embedDesktop":{"type":"boolean","description":"<para type=\"description\">If box is checked the desktop will always be fixed</para>"},"spanDesktops":{"type":"boolean","description":"<para type=\"description\">If box is checked the desktop will spanned across all other monitors</para>"},"fullScreenBar":{"$ref":"#/components/schemas/ConnectionBar"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Desktop Options Policy</para>\r\n<para type=\"description\"></para>"},"SmartSizing":{"enum":[["0 = Disabled","1 = Scale","2 = Resize"]],"type":"string","description":"<para type=\"synopsis\">Smart Sizing Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ConnectionBar":{"enum":[["0 = DoNotShow","1 = ShowPinned","2 = ShowUnPinned"]],"type":"string","description":"<para type=\"synopsis\">Connection Bar Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Browser":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Display Settings Browser is enabled or not</para>"},"browserOpenIn":{"$ref":"#/components/schemas/OpenApplicationsIn"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Browser Policy</para>\r\n<para type=\"description\"></para>"},"OpenApplicationsIn":{"enum":[["0 = SameTab","1 = NewTab"]],"type":"string","description":"<para type=\"synopsis\">Open Applications In Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"SessionsPrinting":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Printing Policy is enabled or not</para>"},"redirectPrinterTech":{"$ref":"#/components/schemas/PrintingTechnologyUse"},"redirectPrinters":{"$ref":"#/components/schemas/UniversalPrinting"},"redirectPrintersList":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">List of names of printers that are used to redirect to</para>","nullable":true},"printingOptions":{"$ref":"#/components/schemas/PrintingOptions"},"defaultPrintingSettings":{"$ref":"#/components/schemas/DefaultPrintingSettings"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Printing Policy</para>\r\n<para type=\"description\"></para>"},"PrintingTechnologyUse":{"enum":[["0 = None","1 = RasUniversalPrintingTechnology","2 = MicrosoftBasicPrintingTechnology","3 = RasUniversalPrintingAndMsBasicTechnologies"]],"type":"string","description":"<para type=\"synopsis\">Printing Technology Use Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"UniversalPrinting":{"enum":[["0 = All","1 = DefaultOnly","2 = SpecificOnly"]],"type":"string","description":"<para type=\"synopsis\">Universal Printing Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PrintingOptions":{"type":"object","properties":{"dataFormat":{"$ref":"#/components/schemas/PrintingDataFormat"},"printerPreference":{"$ref":"#/components/schemas/ClientPrinterPreference"},"specificPreferredPrinter":{"type":"string","description":"<para type=\"description\">The Specific Preferred Printer.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Printing Options</para>\r\n<para type=\"description\"></para>"},"PrintingDataFormat":{"enum":[["0 = ViewPDF_ExtApp","1 = EMF","2 = BMP","4 = PrintPDF_ExtApp","5 = PrintPDF"]],"type":"string","description":"<para type=\"synopsis\">Printing Data Format.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClientPrinterPreference":{"enum":[["0 = ServerPrefAllPrinters","1 = ClientPrefAllPrinters","2 = ClientPrefSpecificPrinters"]],"type":"string","description":"<para type=\"synopsis\">Client Printer Preference.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DefaultPrintingSettings":{"type":"object","properties":{"defaultPrinter":{"type":"string","description":"<para type=\"description\">The default printer chosen.</para>","nullable":true},"defaultPrinterTech":{"$ref":"#/components/schemas/PrintingTechnologyUse"},"forceTime":{"type":"integer","description":"<para type=\"description\">Force Default Printer for Seconds.</para>","format":"int32"},"matchExactPrinterName":{"type":"boolean","description":"<para type=\"description\">Match Exact Printer Name.</para>"},"updateRemoteDefPrinter":{"type":"boolean","description":"<para type=\"description\">Update the remote default printer.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Default Printing Settings</para>\r\n<para type=\"description\"></para>"},"Scanning":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Scanning policy is enabled or not</para>"},"scanTech":{"$ref":"#/components/schemas/ScanningTechnologyUse"},"scanRedirect":{"$ref":"#/components/schemas/RedirectScanner"},"scanListTwain":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The scanning TWAIN list</para>","nullable":true},"scanListWia":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The scanning WIA list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Scanning Policy</para>\r\n<para type=\"description\"></para>"},"ScanningTechnologyUse":{"enum":[["0 = None","1 = WIA","2 = TWAIN","3 = WIAandTWAIN"]],"type":"string","description":"<para type=\"synopsis\">Scanning Technology Use Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"RedirectScanner":{"enum":[["0 = All","1 = SpecificOnly"]],"type":"string","description":"<para type=\"synopsis\">Redirect Scanner Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Audio":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Audio policy is enabled or not</para>"},"audioModes":{"$ref":"#/components/schemas/AudioMode"},"audioQuality":{"$ref":"#/components/schemas/AudioQuality"},"audioRec":{"type":"boolean","description":"<para type=\"description\">Allow Audio Recording if box is ticked.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Audio Policy</para>\r\n<para type=\"description\"></para>"},"AudioMode":{"enum":[["0 = BringToThisComputer","1 = DoNotPlay","2 = LeaveAtRemoteComputer"]],"type":"string","description":"<para type=\"synopsis\">Audio Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"AudioQuality":{"enum":[["0 = AdjustDynamically","1 = UseMediumQuality","2 = UseUncompressedQuality"]],"type":"string","description":"<para type=\"synopsis\">Audio Quality Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Keyboard":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Keyboard policy is enabled or not</para>"},"keyboardWindow":{"$ref":"#/components/schemas/KeyboardType"},"sendUnicodeChars":{"type":"boolean","description":"<para type=\"description\">Allow Unicode characters if the box is checked.</para>"},"redirectRemoteKeyboardInput":{"type":"boolean","description":"<para type=\"description\">Allow keyboard input and events from remote applications to be sent to the currently active application on the local device. Note: Applicable to Parallels Client for macOS only.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Keyboard Policy</para>\r\n<para type=\"description\"></para>"},"KeyboardType":{"enum":[["0 = LocalComputer","1 = RemoteComputer","2 = FullScreenMode"]],"type":"string","description":"<para type=\"synopsis\">Keyboard Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Clipboard":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether clipboard policy is enabled or not.</para>"},"allowClipboardClientToServerRedirection":{"$ref":"#/components/schemas/ClipboardFormats"},"allowClipboardServerToClientRedirection":{"$ref":"#/components/schemas/ClipboardFormats"},"allowClipboardHistory":{"type":"boolean","description":"<para type=\"description\">Allow remote clipboard content to be saved in local clipboard history.</para>"},"allowSyncClipboardContent":{"type":"boolean","description":"<para type=\"description\">Allow remote clipboard content to sync across devices.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Clipboard of the Local Devices</para>\r\n<para type=\"description\"></para>"},"ClipboardFormats":{"enum":[["0 = None","1 = Others","2 = Text","4 = RTF","8 = HTML","16 = Images","32 = Files","63 = Default"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Clipboard Formats.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DiskDrives":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Disk Drives policy is enabled or not</para>"},"redirectDrives":{"type":"boolean","description":"<para type=\"description\">Whether Drives Redirection is enabled or not</para>"},"dynamicDrives":{"type":"boolean","description":"<para type=\"description\">Whether Drives that are plugged in later on are dynamically connected or not</para>"},"redirectToDrives":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The drives to redirect to.</para>","nullable":true},"redirectReadonlyDrives":{"type":"boolean","description":"<para type=\"description\">Redirect as read-only drives.</para>"},"useAllDrives":{"type":"boolean","description":"<para type=\"description\">Will use all the drives that are available, if set to true</para>"},"driveCacheMode":{"$ref":"#/components/schemas/DriveCacheMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Disk Drives of the Local Devices</para>\r\n<para type=\"description\"></para>"},"DriveCacheMode":{"enum":[["0 = Disable","1 = Enable","2 = Fast"]],"type":"string","description":"<para type=\"synopsis\">Drive Cache Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"Devices":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Devices policy is enabled or not</para>"},"redirectDevices":{"type":"boolean","description":"<para type=\"description\">If box is checked allow devices redirection</para>"},"dynamicDevices":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the use of other devices that are plugged in later</para>"},"useAllDevices":{"type":"boolean","description":"<para type=\"description\">Use all devices that are available</para>"},"redirectToDevices":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Redirect to all available devices</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Devices of the Local Devices</para>\r\n<para type=\"description\"></para>"},"Ports":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Ports policy is enabled or not</para>"},"redirectCOMPorts":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the LPT and COM Redirection</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Ports of the Local Devices</para>\r\n<para type=\"description\"></para>"},"SmartCards":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Smart Card policy is enabled or not</para>"},"redirectSmartCards":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the Smart Card Redirection</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Smart Cards of the Local Devices</para>\r\n<para type=\"description\"></para>"},"WindowsTouchInput":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Windows Touch Input policy is enabled or not</para>"},"touchInput":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the window touch redirection.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Windows Touch Input of the Local Devices</para>\r\n<para type=\"description\"></para>"},"VideoCaptureDevices":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Devices policy is enabled or not</para>"},"enableCameras":{"type":"boolean","description":"<para type=\"description\">If box is checked allow devices redirection</para>"},"dynamicCameras":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the use of other devices that are plugged in later</para>"},"videoCaptureUseAllDevices":{"type":"boolean","description":"<para type=\"description\">Use all devices that are available</para>"},"camerasIDs":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Redirect to all available devices</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Video Capture Devices</para>\r\n<para type=\"description\"></para>"},"AVDMultimediaRedirection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether 'Multimedia Redirection for AVD' policy is enabled or not</para>"},"avdMultimediaRedir":{"type":"boolean","description":"<para type=\"description\">If box is checked enable Multimedia Redirection for AVD</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the 'Multimedia Redirection for AVD'</para>\r\n<para type=\"description\"></para>"},"FileTransfer":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether File Transfer policy is enabled or not</para>"},"fileTransferMode":{"$ref":"#/components/schemas/FileTransferControlMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the File Transfer of the Local Devices</para>\r\n<para type=\"description\"></para>"},"FileTransferControlMode":{"enum":[["0 = Disabled","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string","description":"<para type=\"synopsis\">File Transfer Control modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Performance":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether performance policy is enabled or not</para>"},"netType":{"$ref":"#/components/schemas/NetworkType"},"desktopBackground":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow the desktop background</para>"},"fontSmoothing":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow font smoothing</para>"},"windowMenuAnimation":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for the window menu animation</para>"},"desktopComposition":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for the desktop composition</para>"},"themes":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for the themes setting</para>"},"bitmapCaching":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for bitmap caching. </para>"},"moveSizeFullDrag":{"type":"boolean","description":"<para type=\"description\">Allow the resizing of windows</para>"},"showContent":{"type":"boolean","description":"<para type=\"description\">Whether show contents of window while dragging is enabled or not</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Experience Perfomance Policy</para>\r\n<para type=\"description\"></para>"},"NetworkType":{"enum":[["0 = Modem","1 = LowSpeedBroadband","2 = Satellite","3 = HighSpeedBroadband","4 = WAN","5 = LAN","6 = DetectConnectionQualityAuto"]],"type":"string","description":"<para type=\"synopsis\">Network Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Compression":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Compression policy is enabled or not</para>"},"compress":{"type":"boolean","description":"<para type=\"description\">Allow for rdp compression</para>"},"scanningCompression":{"$ref":"#/components/schemas/CompressionType"},"printingCompression":{"$ref":"#/components/schemas/CompressionType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Experience Compression Policy</para>\r\n<para type=\"description\"></para>"},"CompressionType":{"enum":[["0 = CompressionDisabled","1 = BestSpeed","2 = BestSize","3 = BasedOnConnectionSpeed"]],"type":"string","description":"<para type=\"synopsis\">Compression Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Network":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Network policy is enabled or not</para>"},"useProxyServer":{"type":"boolean","description":"<para type=\"description\">Check the box if you want to use a proxy server</para>"},"proxyHost":{"type":"string","description":"<para type=\"description\">The proxy host</para>","nullable":true},"proxyPort":{"type":"integer","description":"<para type=\"description\">The proxy port</para>","format":"int32"},"proxyAuthentication":{"type":"boolean","description":"<para type=\"description\">Check the box if the proxy requires any authentication</para>"},"proxyUseLogonCredentials":{"type":"boolean","description":"<para type=\"description\">Will use the user logon credentials</para>"},"proxyUsername":{"type":"string","description":"<para type=\"description\">The proxy username authentication</para>","nullable":true},"proxyType":{"$ref":"#/components/schemas/ProxyType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Network Policy</para>\r\n<para type=\"description\"></para>"},"ProxyType":{"enum":[["0 = SOCKS4","1 = SOCKS4A","2 = SOCKS5","3 = HTTP1_1"]],"type":"string","description":"<para type=\"synopsis\">Proxy Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"AdvancedSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Advanced Settings policy is enabled or not</para>"},"useClientColors":{"type":"boolean","description":"<para type=\"description\">Make use of the system client colours</para>"},"useClientSettings":{"type":"boolean","description":"<para type=\"description\">Make use of the system client settings</para>"},"createShrtCut":{"type":"boolean","description":"<para type=\"description\">Creates the shortcuts on the configured server</para>"},"registerExt":{"type":"boolean","description":"<para type=\"description\">Register file extensions associated from the server</para>"},"urlRedirection":{"type":"boolean","description":"<para type=\"description\">Will redirect url to the client device</para>"},"mailRedirection":{"type":"boolean","description":"<para type=\"description\">Will redirect the mail to the client devices</para>"},"credAlwaysAsk":{"type":"boolean","description":"<para type=\"description\">Will always ask for the credentials</para>"},"allowSrvCmd":{"type":"boolean","description":"<para type=\"description\">Will allow server commands to be executed by the client</para>"},"promptSrvCmd":{"type":"boolean","description":"<para type=\"description\">Will confirm the server commands before executing them</para>"},"credSSP":{"type":"boolean","description":"<para type=\"description\">Will allow for network level authentication</para>"},"redirPOS":{"type":"boolean","description":"<para type=\"description\">Will redirect pos devices</para>"},"pre2000Cred":{"type":"boolean","description":"<para type=\"description\">Will use pre windows 2000 format</para>"},"disableRUDP":{"type":"boolean","description":"<para type=\"description\">Will disable rdp-udp gateway connections</para>"},"doNotShowDriveRedirectionDlg":{"type":"boolean","description":"<para type=\"description\">Does not show the redirection drive dialog</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Advanced Settings Policy</para>\r\n<para type=\"description\"></para>"},"ServerAuthentication":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Server Authentication policy is enabled or not</para>"},"sessionAuthFailureAction":{"$ref":"#/components/schemas/IfAuthenticationFail"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Server Authentication Policy</para>\r\n<para type=\"description\"></para>"},"IfAuthenticationFail":{"enum":[["0 = Connect","1 = DoNotConnect","2 = Warn"]],"type":"string","description":"<para type=\"synopsis\">If Authentication Fail Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClientOptions":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options policy is enabled or not</para>"},"appearance":{"$ref":"#/components/schemas/Appearance"},"connection":{"$ref":"#/components/schemas/Connection"},"logging":{"$ref":"#/components/schemas/Logging"},"pcKeyboard":{"$ref":"#/components/schemas/PCKeyboard"},"update":{"$ref":"#/components/schemas/Update"},"singleSignOn":{"$ref":"#/components/schemas/SingleSignOn"},"advanced":{"$ref":"#/components/schemas/ClientOptionsAdvancedSettings"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Policy</para>\r\n<para type=\"description\"></para>"},"Appearance":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options Appearance policy is enabled or not.</para>"},"uiType":{"$ref":"#/components/schemas/UIType"},"promptSwitchToModern":{"type":"boolean","description":"<para type=\"description\">Will prompt user to switch to modern UI.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Appearance Policy</para>\r\n<para type=\"description\"></para>"},"UIType":{"enum":[["0 = Modern","1 = Classic","2 = User"]],"type":"string","description":"<para type=\"synopsis\">UI Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Connection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options Connection policy is enabled or not.</para>"},"connectionBannerType":{"$ref":"#/components/schemas/ConnectionBannerType"},"autoRefreshFarms":{"type":"boolean","description":"<para type=\"description\">Will automatically refresh the farm every given minutes.</para>"},"autoRefreshTime_Mins":{"type":"integer","description":"<para type=\"description\">The given minutes to refresh the farm.</para>","format":"int32"},"whenAllSessionClosedAction":{"$ref":"#/components/schemas/WhenAllSessionClosedAction"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Connection Policy</para>\r\n<para type=\"description\"></para>"},"ConnectionBannerType":{"enum":[["0 = SplashWindow","1 = TaskBarToastWindow","2 = None"]],"type":"string","description":"<para type=\"synopsis\">Connection Banner Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"WhenAllSessionClosedAction":{"enum":[["0 = Nothing","1 = LockWorkstation","2 = LogOff"]],"type":"string","description":"<para type=\"synopsis\">When All Session Closed Action.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Logging":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Advanced Logging policy is enabled or not.</para>"},"logLevel":{"$ref":"#/components/schemas/LogLevelsType"},"loggingStartDateTime":{"type":"string","description":"<para type=\"description\">Logging Start DateTime.</para>","format":"date-time"},"loggingDuration":{"type":"integer","description":"<para type=\"description\">Logging Duration (in seconds).</para>","format":"int32"},"allowViewLog":{"type":"boolean","description":"<para type=\"description\">Whether Allow View Log is enabled or not.</para>"},"allowClearLog":{"type":"boolean","description":"<para type=\"description\">Whether Allow Clear Log is enabled or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Logging Policy</para>\r\n<para type=\"description\"></para>"},"LogLevelsType":{"enum":[["3 = Standard","4 = Extended","5 = Verbose"]],"type":"string","description":"<para type=\"synopsis\">Log Levels Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PCKeyboard":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options PCKeyboard policy is enabled or not.</para>"},"forcePCKeybd":{"type":"boolean","description":"<para type=\"description\">Will force to use the pc keyboard if applicable.</para>"},"pcKeybd":{"$ref":"#/components/schemas/KeyboardLayout"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options PC Keyboard Policy</para>\r\n<para type=\"description\"></para>"},"KeyboardLayout":{"enum":[["1028 = ChineseTraditional","1031 = German","1033 = EnglishUS","1034 = Spanish","1036 = French","1040 = Italian","1041 = Japanese","1042 = Korean","1043 = Dutch","1046 = PortugueseBrazil","1049 = Russian","1053 = Swedish","1082 = Maltese","2052 = ChineseSimplified","2055 = GermanSwitzerland","2057 = EnglishUK","2060 = FrenchBelgium","2068 = NorwegianNynorsk","2070 = Portuguese","3084 = FrenchCanada","4108 = FrenchSwitzerland"]],"type":"string","description":"<para type=\"synopsis\">Keyboard Layout.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Update":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options Update policy is enabled or not.</para>"},"checkForUpdateOnLaunch":{"type":"boolean","description":"<para type=\"description\">Will check updates on startup.</para>"},"updateClientXmlUrl":{"type":"string","description":"<para type=\"description\">The url to update the client.</para>","nullable":true},"updateAVDClientType":{"$ref":"#/components/schemas/AVDClientType"},"updateAVDClientXMLURL":{"type":"string","description":"<para type=\"description\">The url to update the AVD client.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Update Policy</para>\r\n<para type=\"description\"></para>"},"AVDClientType":{"enum":[["0 = AVDClient","1 = WindowsApp","2 = WindowsAppCustom"]],"type":"string","description":"<para type=\"synopsis\">Azure Virtual Desktop Client Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"SingleSignOn":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options SSO policy is enabled or not.</para>"},"forceThirdPartySSO":{"type":"boolean","description":"<para type=\"description\">Will wrap third party SSO Component.</para>"},"ssoProvGUID":{"type":"string","description":"<para type=\"description\">The third party credientials.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Single Sign-On Policy</para>\r\n<para type=\"description\"></para>"},"ClientOptionsAdvancedSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Advanced policy is enabled or not</para>"},"global":{"$ref":"#/components/schemas/GlobalPolicy"},"language":{"$ref":"#/components/schemas/Languages"},"printing":{"$ref":"#/components/schemas/ClientOptionsPrinting"},"windowsClient":{"$ref":"#/components/schemas/WindowsClient"},"remoteFxUsbRedirection":{"$ref":"#/components/schemas/RemoteFxUsbRedirection"},"customerExperienceProgram":{"$ref":"#/components/schemas/CustomerExperienceProgram"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Advanced Policy</para>\r\n<para type=\"description\"></para>"},"GlobalPolicy":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Advanced Global policy is enabled or not</para>"},"showFolders":{"type":"boolean","description":"<para type=\"description\">Show the connection trees</para>"},"minimizeToTrayOnClose":{"type":"boolean","description":"<para type=\"description\">Minimize to tray on close or escape</para>"},"graphicsAccel":{"type":"boolean","description":"<para type=\"description\">Enable the graphics acceleration for the chrome client</para>"},"clientWorkAreaBackground":{"type":"boolean","description":"<para type=\"description\">Enable the work area background for the chrome client</para>"},"sslNoWarning":{"type":"boolean","description":"<para type=\"description\">Do not warn if the server certificate is not verified</para>"},"swapMouse":{"type":"boolean","description":"<para type=\"description\">Swap the mouse buttons</para>"},"dpiAware":{"type":"boolean","description":"<para type=\"description\">Enable the dpi aware</para>"},"autoAddFarm":{"type":"boolean","description":"<para type=\"description\">Add the RAS Connections automatically when starting web or shortcut items</para>"},"dontPromptAutoAddFarm":{"type":"boolean","description":"<para type=\"description\">No messages are prompted when auto adding ras connections</para>"},"suppErrMsgs":{"type":"boolean","description":"<para type=\"description\">Close any errors automatically </para>"},"clearCookies":{"type":"boolean","description":"<para type=\"description\">Clear session cookies on exit.</para>"},"turnOffUDPOnClient":{"type":"boolean","description":"<para type=\"description\">Turn off UDP on Client.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Global Policy</para>\r\n<para type=\"description\"></para>"},"Languages":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Language policy is enabled or not</para>"},"lang":{"$ref":"#/components/schemas/LanguageType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Languages Policy</para>\r\n<para type=\"description\"></para>"},"LanguageType":{"enum":[["0 = Default","1 = English","2 = German","3 = Japanese","5 = French","6 = Spanish","7 = Italian","8 = Portuguese","9 = ChineseSimplified","10 = ChineseTraditional","11 = Korean","12 = Dutch"]],"type":"string","description":"<para type=\"synopsis\">Languages Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClientOptionsPrinting":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Printing policy is enabled or not.</para>"},"printInstallFonts":{"type":"boolean","description":"<para type=\"description\">Will install any missing fonts automatically.</para>"},"printRawSupport":{"type":"boolean","description":"<para type=\"description\">Will allow for raw printing support.</para>"},"allowEMFRasterization":{"type":"boolean","description":"<para type=\"description\">Will convert non distributable fonts data to images.</para>"},"printUseCache":{"type":"boolean","description":"<para type=\"description\">Deprecated: Will cache printer hardware information.</para>"},"printRefreshCache":{"type":"boolean","description":"<para type=\"description\">Deprecated: Will refresh printer hardware information every 30 days.</para>"},"dynamicPrinterRedir":{"type":"boolean","description":"<para type=\"description\">When enabled, if any printer configuration which matches the redirection rules is updated, the changes are reflected on the remote virtual printer.</para>"},"printUseFontsCache":{"type":"boolean","description":"<para type=\"description\">Will allow for the RAS universal printing embedded fonts.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Printing Policy</para>\r\n<para type=\"description\"></para>"},"WindowsClient":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Windows Client policy is enabled or not.</para>"},"autohide":{"type":"boolean","description":"<para type=\"description\">Will hide the launcher when an application is opened.</para>"},"autoLaunch":{"type":"boolean","description":"<para type=\"description\">Will launch automatically at windows startup.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Windows Client Policy</para>\r\n<para type=\"description\"></para>"},"RemoteFxUsbRedirection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Remote FX USB Redirection policy is enabled or not.</para>"},"remoteFXUSBRedir":{"type":"boolean","description":"<para type=\"description\">Will allow redirection of other supported remoted FX USB devices.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Remote FX USB Redirection Policy</para>\r\n<para type=\"description\"></para>"},"CustomerExperienceProgram":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Customer Experience Program policy is enabled or not</para>"},"participateInCEP":{"type":"boolean","description":"<para type=\"description\">Whether to Participate in Customer Experience Program or not</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Advanced Customer Experience Program Policy</para>\r\n<para type=\"description\"></para>"},"ControlSettings":{"type":"object","properties":{"controlSettingsConnections":{"$ref":"#/components/schemas/Connections"},"credentials":{"$ref":"#/components/schemas/Credentials"},"importExport":{"$ref":"#/components/schemas/ImportExport"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Control Settings Policy</para>\r\n<para type=\"description\"></para>"},"Connections":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Control Settings Connections policy is enabled or not.</para>"},"dontAddNewASXGConns":{"type":"boolean","description":"<para type=\"description\">Will not be able to add a new ras connections.</para>"},"dontAddNewStdConns":{"type":"boolean","description":"<para type=\"description\">Will not be able to add a new rdp connections.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Control Settings Connections Policy</para>\r\n<para type=\"description\"></para>"},"Credentials":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Control Settings Credentials policy is enabled or not.</para>"},"dontSaveUsername":{"type":"boolean","description":"<para type=\"description\">Will not be able to save the username.</para>"},"dontSavePwds":{"type":"boolean","description":"<para type=\"description\">Will not be able to save the password.</para>"},"dontChangePwds":{"type":"boolean","description":"<para type=\"description\">Will not be able to change the password.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Control Settings Credentials Policy</para>\r\n<para type=\"description\"></para>"},"ImportExport":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Control Settings Import Export policy is enabled or not.</para>"},"dontImportExport":{"type":"boolean","description":"<para type=\"description\">Will not allow any importation or exportation of the connection settings.</para>"},"dontImport":{"type":"boolean","description":"<para type=\"description\">Will not allow any importation of the connection settings.</para>"},"dontExport":{"type":"boolean","description":"<para type=\"description\">Will not allow any exportation of the connection settings.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Control Settings Import Export Policy</para>\r\n<para type=\"description\"></para>"},"ClientPolicyAssignment":{"type":"object","properties":{"rules":{"type":"array","items":{"$ref":"#/components/schemas/ClientPolicyRule"},"nullable":true},"default":{"$ref":"#/components/schemas/DefaultAssignmentType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">The Client Policy Assignment object.</para>\r\n<para type=\"description\"></para>"},"ClientPolicyRule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Rule is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">Name of the Rule</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description of the Rule</para>","nullable":true},"criteria":{"$ref":"#/components/schemas/ClientPolicyCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Policy Rule</para>\r\n<para type=\"description\"></para>"},"ClientPolicyCriteria":{"type":"object","properties":{"securityPrincipals":{"$ref":"#/components/schemas/SecurityPrincipalsCriteria"},"gateways":{"$ref":"#/components/schemas/GatewaysCriteria"},"oSs":{"$ref":"#/components/schemas/OSsCriteria"},"iPs":{"$ref":"#/components/schemas/IPsCriteria"},"hardwareIDs":{"$ref":"#/components/schemas/HardwareIDsCriteria"},"access":{"$ref":"#/components/schemas/AccessType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Policy Criteria</para>\r\n<para type=\"description\"></para>"},"SecurityPrincipalsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Security Principals Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/SecurityPrincipalCriteriaEntry"},"description":"<para type=\"description\">User criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principals Criteria</para>\r\n<para type=\"description\"></para>"},"MatchingModeType":{"enum":[["0 = IsNotOneOfTheFollowing","1 = IsOneOfTheFollowing"]],"type":"string","description":"<para type=\"synopsis\">Matching mode type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecurityPrincipalCriteriaEntry":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Security Principal Criteria Entry</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaysCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Gateways Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/GatewayCriteriaEntry"},"description":"<para type=\"description\">Gateway criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateways Criteria</para>\r\n<para type=\"description\"></para>"},"GatewayCriteriaEntry":{"type":"object","properties":{"gatewayIP":{"type":"string","description":"<para type=\"description\">The gateway IP.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Gateway criteria entry</para>\r\n<para type=\"description\"></para>"},"OSsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the OSs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedOSes":{"$ref":"#/components/schemas/AllowedOperatingSystems"}},"additionalProperties":false,"description":"<para type=\"synopsis\">OS Criteria Settings</para>\r\n<para type=\"description\"></para>"},"AllowedOperatingSystems":{"type":"object","properties":{"chrome":{"type":"boolean","description":"<para type=\"description\">Whether Chrome is allowed or not.</para>"},"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"IPsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the IPs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"allowedIPs":{"$ref":"#/components/schemas/AllowedIPsCriteria"}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPs Criteria</para>\r\n<para type=\"description\"></para>"},"AllowedIPsCriteria":{"type":"object","properties":{"iPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IPv4CriteriaEntry"},"description":"<para type=\"description\">IPv4 criteria list</para>","nullable":true},"iPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IPv6CriteriaEntry"},"description":"<para type=\"description\">IPv6 criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed IPs Criteria</para>\r\n<para type=\"description\"></para>"},"IPv4CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv4 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"IPv6CriteriaEntry":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">IPv6 Criteria Entry</para>\r\n<para type=\"description\"></para>"},"HardwareIDsCriteria":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Hardware IDs Criteria is enabled or not</para>"},"matchingMode":{"$ref":"#/components/schemas/MatchingModeType"},"members":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"},"description":"<para type=\"description\">Hardware IDs criteria list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware IDs Criteria</para>\r\n<para type=\"description\"></para>"},"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"AccessType":{"enum":[["0 = DenyCriteriaWhen","1 = AllowCriteriaWhen"]],"type":"string","description":"<para type=\"synopsis\">Access type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"DefaultAssignmentType":{"enum":[["0 = Deny","1 = Allow"]],"type":"string","description":"<para type=\"synopsis\">Default assignment type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create

> Add a new client policy.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ClientPolicies":{"post":{"tags":["4-Policies//0-Basic Operations"],"summary":"Create","description":"Add a new client policy.","operationId":"a80b48eb-d7b8-4855-a57b-b5565fc7c2ec","requestBody":{"description":"Client policy","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NewClientPolicy"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ClientRules"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NewClientPolicy":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Name of the new client policy.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the new client policy will be enabled or disabled.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description for the new client policy.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Create a new client policy</para>\r\n<para type=\"description\"></para>"},"ClientRules":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"name":{"type":"string","description":"<para type=\"description\">Name of the client policy.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the client policy is enabled or disabled.</para>"},"description":{"type":"string","description":"<para type=\"description\">Description of the client policy.</para>","nullable":true},"order":{"type":"integer","description":"<para type=\"description\">Order of the client policy.</para>","format":"int32"},"clientPolicy":{"$ref":"#/components/schemas/ClientPolicy"},"version":{"type":"integer","description":"<para type=\"description\">Version.</para>","format":"int32"},"assignment":{"$ref":"#/components/schemas/ClientPolicyAssignment"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Rules</para>\r\n<para type=\"description\"></para>"},"ClientPolicy":{"type":"object","properties":{"redirection":{"$ref":"#/components/schemas/Redirection"},"session":{"$ref":"#/components/schemas/SessionPolicy"},"clientOptions":{"$ref":"#/components/schemas/ClientOptions"},"controlSettings":{"$ref":"#/components/schemas/ControlSettings"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Policy</para>\r\n<para type=\"description\"></para>"},"Redirection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Redirection policy is enabled or not</para>"},"gateway":{"type":"string","description":"<para type=\"description\">The gateway address</para>","nullable":true},"mode":{"$ref":"#/components/schemas/ConnectionMode"},"serverPort":{"type":"integer","description":"<para type=\"description\">The server port</para>","format":"int32"},"altGateway":{"type":"string","description":"<para type=\"description\">The alternative gateway address</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Redirection Policy</para>\r\n<para type=\"description\"></para>"},"ConnectionMode":{"enum":[["0 = GatewayMode","1 = GatewaySSLMode","2 = DirectMode","3 = DirectSSLMode"]],"type":"string","description":"<para type=\"synopsis\">Connection Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"SessionPolicy":{"type":"object","properties":{"primaryConnection":{"$ref":"#/components/schemas/PrimaryConnection"},"secondaryConnections":{"$ref":"#/components/schemas/SecondaryConnections"},"reconnection":{"$ref":"#/components/schemas/Reconnection"},"computerName":{"$ref":"#/components/schemas/ComputerName"},"connectionAdvancedSettings":{"$ref":"#/components/schemas/ConnectionAdvancedSettings"},"webAuthentication":{"$ref":"#/components/schemas/WebAuthentication"},"multiFactorAuthentication":{"$ref":"#/components/schemas/MultiFactorAuthentication"},"sessionPreLaunch":{"$ref":"#/components/schemas/SessionPrelaunch"},"localProxyAddress":{"$ref":"#/components/schemas/LocalProxyAddress"},"settings":{"$ref":"#/components/schemas/Settings"},"multiMonitor":{"$ref":"#/components/schemas/MultiMonitor"},"publishedApplications":{"$ref":"#/components/schemas/PublishedApplications"},"desktopOptions":{"$ref":"#/components/schemas/DesktopOptions"},"browser":{"$ref":"#/components/schemas/Browser"},"printing":{"$ref":"#/components/schemas/SessionsPrinting"},"scanning":{"$ref":"#/components/schemas/Scanning"},"audio":{"$ref":"#/components/schemas/Audio"},"keyboard":{"$ref":"#/components/schemas/Keyboard"},"clipboard":{"$ref":"#/components/schemas/Clipboard"},"diskDrives":{"$ref":"#/components/schemas/DiskDrives"},"devices":{"$ref":"#/components/schemas/Devices"},"ports":{"$ref":"#/components/schemas/Ports"},"smartCards":{"$ref":"#/components/schemas/SmartCards"},"windowsTouchInput":{"$ref":"#/components/schemas/WindowsTouchInput"},"videoCaptureDevices":{"$ref":"#/components/schemas/VideoCaptureDevices"},"avdMultimediaRedirection":{"$ref":"#/components/schemas/AVDMultimediaRedirection"},"fileTransfer":{"$ref":"#/components/schemas/FileTransfer"},"performance":{"$ref":"#/components/schemas/Performance"},"compression":{"$ref":"#/components/schemas/Compression"},"network":{"$ref":"#/components/schemas/Network"},"advancedSettings":{"$ref":"#/components/schemas/AdvancedSettings"},"serverAuthentication":{"$ref":"#/components/schemas/ServerAuthentication"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Session Policy</para>\r\n<para type=\"description\"></para>"},"PrimaryConnection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Primary Connection is enabled or not</para>"},"name":{"type":"string","description":"<para type=\"description\">The name of the connection</para>","nullable":true},"autoLogin":{"type":"boolean","description":"<para type=\"description\">Allows the user to auto login</para>"},"authenticationType":{"$ref":"#/components/schemas/AuthType"},"savePassword":{"type":"boolean","description":"<para type=\"description\">Password will be saved when user successfully logs in</para>"},"domain":{"type":"string","description":"<para type=\"description\">The name of the domain</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Primary Connection Policy</para>\r\n<para type=\"description\"></para>"},"AuthType":{"enum":[["0 = Credentials","1 = SingleSignOn","2 = SmartCard","3 = Web","4 = WebCredentials"]],"type":"string","description":"<para type=\"synopsis\">Authentication Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"SecondaryConnections":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Secondary Connection is enabled or not</para>"},"connectionList":{"type":"array","items":{"$ref":"#/components/schemas/SecondaryConnection"},"description":"<para type=\"descrition\">The Secondary Connection List</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Secondary Connections Policy</para>\r\n<para type=\"description\"></para>"},"SecondaryConnection":{"type":"object","properties":{"mode":{"$ref":"#/components/schemas/Mode"},"server":{"type":"string","description":"<para type=\"description\">The Server which the user is going to connect to</para>","nullable":true},"serverPort":{"type":"integer","description":"<para type=\"description\">The port of the server</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Secondary Connection Policy</para>\r\n<para type=\"description\"></para>"},"Mode":{"enum":[["0 = GatewayMode","1 = DirectMode","2 = GatewaySSLMode","3 = DirectSSLMode"]],"type":"string","description":"<para type=\"synopsis\">Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Reconnection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Reconnection is enabled or not</para>"},"enableReconnection":{"type":"boolean","description":"<para type=\"description\">When the connection drops allows for automatic reconnection</para>"},"connectionRetries":{"type":"integer","description":"<para type=\"description\">The amount of connection retries</para>","format":"int32"},"connectionBannerDelay":{"type":"integer","description":"<para type=\"description\">If connection is not established after an amount of seconds given the banner will show</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Reconnection Policy</para>\r\n<para type=\"description\"></para>"},"ComputerName":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Reconnection is enabled or not.</para>"},"overrideComputerName":{"type":"string","description":"<para type=\"description\">The computer name which can be overridden.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Computer Name Policy</para>\r\n<para type=\"description\"></para>"},"ConnectionAdvancedSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Connection Advanced Settings is enabled or not.</para>"},"connectionTimeout":{"type":"integer","description":"<para type=\"description\">The total number of seconds where the connection will timeout.</para>","format":"int32"},"connectionBannerDelay":{"type":"integer","description":"<para type=\"description\">If connection is not established after an amount of seconds given the banner shows.</para>","format":"int32"},"showDesktopTimeout":{"type":"integer","description":"<para type=\"description\">If published application does not start after several seconds a banner shows.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Connection Advanced Settings Policy</para>\r\n<para type=\"description\"></para>"},"WebAuthentication":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the web authentication is enabled or not</para>"},"defaultOsBrowser":{"type":"boolean","description":"<para type=\"description\">If the box is checked the OS will use the default browser</para>"},"openBrowserOnLogout":{"type":"boolean","description":"<para type=\"description\">Whether the browser is shown when logging out of web authentication with the internal browser</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Web Authentication Policy</para>\r\n<para type=\"description\"></para>"},"MultiFactorAuthentication":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the multi factor authentication is enabled or not.</para>"},"rememberLastUsedMethod":{"type":"boolean","description":"<para type=\"description\">Remembers the last used method.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Multi Factor Authentication Policy</para>\r\n<para type=\"description\"></para>"},"SessionPrelaunch":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Session Prelaunch is enabled or not</para>"},"preLaunchMode":{"$ref":"#/components/schemas/SessionMode"},"preLaunchExclude":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The values of the session pre launch.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Prelaunch Policy</para>\r\n<para type=\"description\"></para>"},"SessionMode":{"enum":[["0 = Off","1 = Basic","2 = MachineLearning"]],"type":"string","description":"<para type=\"synopsis\">Session Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"LocalProxyAddress":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the local proxy address is enabled or not</para>"},"useLocalHostProxyIP":{"type":"boolean","description":"<para type=\"description\">If the box is checked the 127.0.0.1 IP address is used when using Gateway mode in VPN scenarios</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Local Proxy Address Policy</para>\r\n<para type=\"description\"></para>"},"Settings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Display Settings is enabled or not.</para>"},"colorDepths":{"$ref":"#/components/schemas/SettingsColorDepth"},"graphicsAcceleration":{"$ref":"#/components/schemas/AccelerationMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Display Settings Policy</para>\r\n<para type=\"description\"></para>"},"SettingsColorDepth":{"enum":[["0 = Colors256","1 = HighColor15Bit","2 = HighColor16Bit","3 = TrueColor24Bit","4 = HighestQuality32Bit"]],"type":"string","description":"<para type=\"synopsis\">Settings Color Depth Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"AccelerationMode":{"enum":[["0 = None","1 = Basic","2 = RemoteFx","3 = RemoteFxAdaptive","4 = AVCAdaptive"]],"type":"string","description":"<para type=\"synopsis\">Acceleration Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"MultiMonitor":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Multi-Monitor policy is enabled or not.</para>"},"displayConfig":{"$ref":"#/components/schemas/DisplayConfig"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Multi-Monitor Policy</para>\r\n<para type=\"description\"></para>"},"DisplayConfig":{"enum":[["0 = Primary","1 = All","2 = Selected"]],"type":"string","description":"<para type=\"synopsis\">Display configuration Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PublishedApplications":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the Published Applications policy is enabled or not.</para>"},"usePrimaryMonitor":{"type":"boolean","description":"<para type=\"description\">If set to true, will use the primary monitor only.</para>"},"useDynamicDesktopResizing":{"type":"boolean","description":"<para type=\"description\">If set to true, will use dynamic desktop resizing.</para>"},"zOrderMode":{"$ref":"#/components/schemas/ZOrderMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Published Applications Policy</para>\r\n<para type=\"description\"></para>"},"ZOrderMode":{"enum":[["0 = Disabled","4 = ImprovedHeuristic"]],"type":"string","description":"<para type=\"synopsis\">Z-Order Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"DesktopOptions":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Display Settings Options is enabled or not</para>"},"smartSizing":{"$ref":"#/components/schemas/SmartSizing"},"embedDesktop":{"type":"boolean","description":"<para type=\"description\">If box is checked the desktop will always be fixed</para>"},"spanDesktops":{"type":"boolean","description":"<para type=\"description\">If box is checked the desktop will spanned across all other monitors</para>"},"fullScreenBar":{"$ref":"#/components/schemas/ConnectionBar"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Desktop Options Policy</para>\r\n<para type=\"description\"></para>"},"SmartSizing":{"enum":[["0 = Disabled","1 = Scale","2 = Resize"]],"type":"string","description":"<para type=\"synopsis\">Smart Sizing Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ConnectionBar":{"enum":[["0 = DoNotShow","1 = ShowPinned","2 = ShowUnPinned"]],"type":"string","description":"<para type=\"synopsis\">Connection Bar Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Browser":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Display Settings Browser is enabled or not</para>"},"browserOpenIn":{"$ref":"#/components/schemas/OpenApplicationsIn"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Browser Policy</para>\r\n<para type=\"description\"></para>"},"OpenApplicationsIn":{"enum":[["0 = SameTab","1 = NewTab"]],"type":"string","description":"<para type=\"synopsis\">Open Applications In Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"SessionsPrinting":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Printing Policy is enabled or not</para>"},"redirectPrinterTech":{"$ref":"#/components/schemas/PrintingTechnologyUse"},"redirectPrinters":{"$ref":"#/components/schemas/UniversalPrinting"},"redirectPrintersList":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">List of names of printers that are used to redirect to</para>","nullable":true},"printingOptions":{"$ref":"#/components/schemas/PrintingOptions"},"defaultPrintingSettings":{"$ref":"#/components/schemas/DefaultPrintingSettings"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Printing Policy</para>\r\n<para type=\"description\"></para>"},"PrintingTechnologyUse":{"enum":[["0 = None","1 = RasUniversalPrintingTechnology","2 = MicrosoftBasicPrintingTechnology","3 = RasUniversalPrintingAndMsBasicTechnologies"]],"type":"string","description":"<para type=\"synopsis\">Printing Technology Use Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"UniversalPrinting":{"enum":[["0 = All","1 = DefaultOnly","2 = SpecificOnly"]],"type":"string","description":"<para type=\"synopsis\">Universal Printing Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"PrintingOptions":{"type":"object","properties":{"dataFormat":{"$ref":"#/components/schemas/PrintingDataFormat"},"printerPreference":{"$ref":"#/components/schemas/ClientPrinterPreference"},"specificPreferredPrinter":{"type":"string","description":"<para type=\"description\">The Specific Preferred Printer.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Printing Options</para>\r\n<para type=\"description\"></para>"},"PrintingDataFormat":{"enum":[["0 = ViewPDF_ExtApp","1 = EMF","2 = BMP","4 = PrintPDF_ExtApp","5 = PrintPDF"]],"type":"string","description":"<para type=\"synopsis\">Printing Data Format.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClientPrinterPreference":{"enum":[["0 = ServerPrefAllPrinters","1 = ClientPrefAllPrinters","2 = ClientPrefSpecificPrinters"]],"type":"string","description":"<para type=\"synopsis\">Client Printer Preference.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DefaultPrintingSettings":{"type":"object","properties":{"defaultPrinter":{"type":"string","description":"<para type=\"description\">The default printer chosen.</para>","nullable":true},"defaultPrinterTech":{"$ref":"#/components/schemas/PrintingTechnologyUse"},"forceTime":{"type":"integer","description":"<para type=\"description\">Force Default Printer for Seconds.</para>","format":"int32"},"matchExactPrinterName":{"type":"boolean","description":"<para type=\"description\">Match Exact Printer Name.</para>"},"updateRemoteDefPrinter":{"type":"boolean","description":"<para type=\"description\">Update the remote default printer.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Default Printing Settings</para>\r\n<para type=\"description\"></para>"},"Scanning":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Scanning policy is enabled or not</para>"},"scanTech":{"$ref":"#/components/schemas/ScanningTechnologyUse"},"scanRedirect":{"$ref":"#/components/schemas/RedirectScanner"},"scanListTwain":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The scanning TWAIN list</para>","nullable":true},"scanListWia":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The scanning WIA list</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Scanning Policy</para>\r\n<para type=\"description\"></para>"},"ScanningTechnologyUse":{"enum":[["0 = None","1 = WIA","2 = TWAIN","3 = WIAandTWAIN"]],"type":"string","description":"<para type=\"synopsis\">Scanning Technology Use Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"RedirectScanner":{"enum":[["0 = All","1 = SpecificOnly"]],"type":"string","description":"<para type=\"synopsis\">Redirect Scanner Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Audio":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Audio policy is enabled or not</para>"},"audioModes":{"$ref":"#/components/schemas/AudioMode"},"audioQuality":{"$ref":"#/components/schemas/AudioQuality"},"audioRec":{"type":"boolean","description":"<para type=\"description\">Allow Audio Recording if box is ticked.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Audio Policy</para>\r\n<para type=\"description\"></para>"},"AudioMode":{"enum":[["0 = BringToThisComputer","1 = DoNotPlay","2 = LeaveAtRemoteComputer"]],"type":"string","description":"<para type=\"synopsis\">Audio Mode Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"AudioQuality":{"enum":[["0 = AdjustDynamically","1 = UseMediumQuality","2 = UseUncompressedQuality"]],"type":"string","description":"<para type=\"synopsis\">Audio Quality Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Keyboard":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Keyboard policy is enabled or not</para>"},"keyboardWindow":{"$ref":"#/components/schemas/KeyboardType"},"sendUnicodeChars":{"type":"boolean","description":"<para type=\"description\">Allow Unicode characters if the box is checked.</para>"},"redirectRemoteKeyboardInput":{"type":"boolean","description":"<para type=\"description\">Allow keyboard input and events from remote applications to be sent to the currently active application on the local device. Note: Applicable to Parallels Client for macOS only.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Keyboard Policy</para>\r\n<para type=\"description\"></para>"},"KeyboardType":{"enum":[["0 = LocalComputer","1 = RemoteComputer","2 = FullScreenMode"]],"type":"string","description":"<para type=\"synopsis\">Keyboard Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Clipboard":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether clipboard policy is enabled or not.</para>"},"allowClipboardClientToServerRedirection":{"$ref":"#/components/schemas/ClipboardFormats"},"allowClipboardServerToClientRedirection":{"$ref":"#/components/schemas/ClipboardFormats"},"allowClipboardHistory":{"type":"boolean","description":"<para type=\"description\">Allow remote clipboard content to be saved in local clipboard history.</para>"},"allowSyncClipboardContent":{"type":"boolean","description":"<para type=\"description\">Allow remote clipboard content to sync across devices.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Clipboard of the Local Devices</para>\r\n<para type=\"description\"></para>"},"ClipboardFormats":{"enum":[["0 = None","1 = Others","2 = Text","4 = RTF","8 = HTML","16 = Images","32 = Files","63 = Default"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Clipboard Formats.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DiskDrives":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Disk Drives policy is enabled or not</para>"},"redirectDrives":{"type":"boolean","description":"<para type=\"description\">Whether Drives Redirection is enabled or not</para>"},"dynamicDrives":{"type":"boolean","description":"<para type=\"description\">Whether Drives that are plugged in later on are dynamically connected or not</para>"},"redirectToDrives":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">The drives to redirect to.</para>","nullable":true},"redirectReadonlyDrives":{"type":"boolean","description":"<para type=\"description\">Redirect as read-only drives.</para>"},"useAllDrives":{"type":"boolean","description":"<para type=\"description\">Will use all the drives that are available, if set to true</para>"},"driveCacheMode":{"$ref":"#/components/schemas/DriveCacheMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Disk Drives of the Local Devices</para>\r\n<para type=\"description\"></para>"},"DriveCacheMode":{"enum":[["0 = Disable","1 = Enable","2 = Fast"]],"type":"string","description":"<para type=\"synopsis\">Drive Cache Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"Devices":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Devices policy is enabled or not</para>"},"redirectDevices":{"type":"boolean","description":"<para type=\"description\">If box is checked allow devices redirection</para>"},"dynamicDevices":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the use of other devices that are plugged in later</para>"},"useAllDevices":{"type":"boolean","description":"<para type=\"description\">Use all devices that are available</para>"},"redirectToDevices":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Redirect to all available devices</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Devices of the Local Devices</para>\r\n<para type=\"description\"></para>"},"Ports":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Ports policy is enabled or not</para>"},"redirectCOMPorts":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the LPT and COM Redirection</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Ports of the Local Devices</para>\r\n<para type=\"description\"></para>"},"SmartCards":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Smart Card policy is enabled or not</para>"},"redirectSmartCards":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the Smart Card Redirection</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Smart Cards of the Local Devices</para>\r\n<para type=\"description\"></para>"},"WindowsTouchInput":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Windows Touch Input policy is enabled or not</para>"},"touchInput":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the window touch redirection.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Windows Touch Input of the Local Devices</para>\r\n<para type=\"description\"></para>"},"VideoCaptureDevices":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Devices policy is enabled or not</para>"},"enableCameras":{"type":"boolean","description":"<para type=\"description\">If box is checked allow devices redirection</para>"},"dynamicCameras":{"type":"boolean","description":"<para type=\"description\">If box is checked allow the use of other devices that are plugged in later</para>"},"videoCaptureUseAllDevices":{"type":"boolean","description":"<para type=\"description\">Use all devices that are available</para>"},"camerasIDs":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Redirect to all available devices</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the Video Capture Devices</para>\r\n<para type=\"description\"></para>"},"AVDMultimediaRedirection":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether 'Multimedia Redirection for AVD' policy is enabled or not</para>"},"avdMultimediaRedir":{"type":"boolean","description":"<para type=\"description\">If box is checked enable Multimedia Redirection for AVD</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the 'Multimedia Redirection for AVD'</para>\r\n<para type=\"description\"></para>"},"FileTransfer":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether File Transfer policy is enabled or not</para>"},"fileTransferMode":{"$ref":"#/components/schemas/FileTransferControlMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Settings about the File Transfer of the Local Devices</para>\r\n<para type=\"description\"></para>"},"FileTransferControlMode":{"enum":[["0 = Disabled","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string","description":"<para type=\"synopsis\">File Transfer Control modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Performance":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether performance policy is enabled or not</para>"},"netType":{"$ref":"#/components/schemas/NetworkType"},"desktopBackground":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow the desktop background</para>"},"fontSmoothing":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow font smoothing</para>"},"windowMenuAnimation":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for the window menu animation</para>"},"desktopComposition":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for the desktop composition</para>"},"themes":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for the themes setting</para>"},"bitmapCaching":{"type":"boolean","description":"<para type=\"description\">If the box is checked allow for bitmap caching. </para>"},"moveSizeFullDrag":{"type":"boolean","description":"<para type=\"description\">Allow the resizing of windows</para>"},"showContent":{"type":"boolean","description":"<para type=\"description\">Whether show contents of window while dragging is enabled or not</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Experience Perfomance Policy</para>\r\n<para type=\"description\"></para>"},"NetworkType":{"enum":[["0 = Modem","1 = LowSpeedBroadband","2 = Satellite","3 = HighSpeedBroadband","4 = WAN","5 = LAN","6 = DetectConnectionQualityAuto"]],"type":"string","description":"<para type=\"synopsis\">Network Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Compression":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Compression policy is enabled or not</para>"},"compress":{"type":"boolean","description":"<para type=\"description\">Allow for rdp compression</para>"},"scanningCompression":{"$ref":"#/components/schemas/CompressionType"},"printingCompression":{"$ref":"#/components/schemas/CompressionType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Experience Compression Policy</para>\r\n<para type=\"description\"></para>"},"CompressionType":{"enum":[["0 = CompressionDisabled","1 = BestSpeed","2 = BestSize","3 = BasedOnConnectionSpeed"]],"type":"string","description":"<para type=\"synopsis\">Compression Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Network":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Network policy is enabled or not</para>"},"useProxyServer":{"type":"boolean","description":"<para type=\"description\">Check the box if you want to use a proxy server</para>"},"proxyHost":{"type":"string","description":"<para type=\"description\">The proxy host</para>","nullable":true},"proxyPort":{"type":"integer","description":"<para type=\"description\">The proxy port</para>","format":"int32"},"proxyAuthentication":{"type":"boolean","description":"<para type=\"description\">Check the box if the proxy requires any authentication</para>"},"proxyUseLogonCredentials":{"type":"boolean","description":"<para type=\"description\">Will use the user logon credentials</para>"},"proxyUsername":{"type":"string","description":"<para type=\"description\">The proxy username authentication</para>","nullable":true},"proxyType":{"$ref":"#/components/schemas/ProxyType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Network Policy</para>\r\n<para type=\"description\"></para>"},"ProxyType":{"enum":[["0 = SOCKS4","1 = SOCKS4A","2 = SOCKS5","3 = HTTP1_1"]],"type":"string","description":"<para type=\"synopsis\">Proxy Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"AdvancedSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Advanced Settings policy is enabled or not</para>"},"useClientColors":{"type":"boolean","description":"<para type=\"description\">Make use of the system client colours</para>"},"useClientSettings":{"type":"boolean","description":"<para type=\"description\">Make use of the system client settings</para>"},"createShrtCut":{"type":"boolean","description":"<para type=\"description\">Creates the shortcuts on the configured server</para>"},"registerExt":{"type":"boolean","description":"<para type=\"description\">Register file extensions associated from the server</para>"},"urlRedirection":{"type":"boolean","description":"<para type=\"description\">Will redirect url to the client device</para>"},"mailRedirection":{"type":"boolean","description":"<para type=\"description\">Will redirect the mail to the client devices</para>"},"credAlwaysAsk":{"type":"boolean","description":"<para type=\"description\">Will always ask for the credentials</para>"},"allowSrvCmd":{"type":"boolean","description":"<para type=\"description\">Will allow server commands to be executed by the client</para>"},"promptSrvCmd":{"type":"boolean","description":"<para type=\"description\">Will confirm the server commands before executing them</para>"},"credSSP":{"type":"boolean","description":"<para type=\"description\">Will allow for network level authentication</para>"},"redirPOS":{"type":"boolean","description":"<para type=\"description\">Will redirect pos devices</para>"},"pre2000Cred":{"type":"boolean","description":"<para type=\"description\">Will use pre windows 2000 format</para>"},"disableRUDP":{"type":"boolean","description":"<para type=\"description\">Will disable rdp-udp gateway connections</para>"},"doNotShowDriveRedirectionDlg":{"type":"boolean","description":"<para type=\"description\">Does not show the redirection drive dialog</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Advanced Settings Policy</para>\r\n<para type=\"description\"></para>"},"ServerAuthentication":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Server Authentication policy is enabled or not</para>"},"sessionAuthFailureAction":{"$ref":"#/components/schemas/IfAuthenticationFail"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Sessions Server Authentication Policy</para>\r\n<para type=\"description\"></para>"},"IfAuthenticationFail":{"enum":[["0 = Connect","1 = DoNotConnect","2 = Warn"]],"type":"string","description":"<para type=\"synopsis\">If Authentication Fail Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClientOptions":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options policy is enabled or not</para>"},"appearance":{"$ref":"#/components/schemas/Appearance"},"connection":{"$ref":"#/components/schemas/Connection"},"logging":{"$ref":"#/components/schemas/Logging"},"pcKeyboard":{"$ref":"#/components/schemas/PCKeyboard"},"update":{"$ref":"#/components/schemas/Update"},"singleSignOn":{"$ref":"#/components/schemas/SingleSignOn"},"advanced":{"$ref":"#/components/schemas/ClientOptionsAdvancedSettings"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Client Options Policy</para>\r\n<para type=\"description\"></para>"},"Appearance":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether Client Options Appearance policy is enabled or not.</para>"},"uiType":{"$ref":"#/components/schemas/UIType"},"promptSwitchToModern":{"type":"boolean","description":"<para type=\"description\">Will prompt user to switch to modern UI.</para>"}},"additiona
[...]
